astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2Sky_CylindricalPerspective

# Pix2Sky_CylindricalPerspective

class `astropy.modeling.projections.``Pix2Sky_CylindricalPerspective`

  Bases: `astropy.modeling.projections.Pix2SkyProjection`, `astropy.modeling.projections.Cylindrical`

  Cylindrical perspective - pixel to sky.

  Corresponds to the `CYP` projection in FITS WCS.

  \phi &= \frac{x}{\lambda} \\ \theta &= \arg(1, \eta) + \sin{-1}\left(\frac{\eta \mu}{\sqrt{\eta^2 + 1}}\right)

  where:

  \eta = \frac{\pi}{180^{\circ}}\frac{y}{\mu + \lambda}

  Parameters:

  mu : float

  > Distance from center of sphere in the direction opposite the projected surface, in spherical radii, μ. Default is 1.

  lam : float

  > Radius of the cylinder in spherical radii, λ. Default is 1.

  Attributes Summary

  `lam` |
  `mu` |
  `param_names` |

  Methods Summary

  `evaluate`(x, y, mu, lam) |

  Attributes Documentation

  `lam`
  `mu`
  `param_names` = ('mu', 'lam')

  Methods Documentation

  classmethod `evaluate`(x, y, mu, lam)